package com.chinacreator.video.mapper;

import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * 支付转换
 * @author zhengrong.yan
 * @date 20210508
 */
@Component
public interface PayConverDao {

	/**
	 * 获取是否重试过
	 * @param spid
	 */
	//String getSyncproduc(@Param("spid") String spid);

	/*
	 * 获取流水号
	 * @return
	 */
	String getNo();

	/**
	 * 添加记录
	 * @param hm
	 */
	void addPayConverRec(HashMap hm);

	void upPayConverRec(HashMap hm);

	Map getConverParm(String spid);


}
